Bug 467139 - rhn_check's action name sanity check is fragile for different locales
rhn_check's action name sanity check is fragile for different locales
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: rhn-client-tools (Show other bugs)
5.2
All Linux
medium Severity medium
: rc
: ---
Assigned To: Pradeep Kilambi
Red Hat Satellite QA List
: OtherQA
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-15 18:20 EDT by James Bowes
Modified: 2013-01-10 04:59 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 07:21:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Bowes 2008-10-15 18:20:46 EDT
Under the de_DE locale, the sanity() call in getMethod.py throws a unicodedecodeerror. The problem seems to come from using string.uppercase and string.lowercase, which are locale dependant. string.ascii_* should be used here instead, I believe.
Comment 9 errata-xmlrpc 2009-09-02 07:21:02 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1354.html

Note You need to log in before you can comment on or make changes to this bug.